Bug 989325 - Review Request: libgme - Video game music file emulation/playback library
Review Request: libgme - Video game music file emulation/playback library
Status: CLOSED DUPLICATE of bug 716475
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On: 716475
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 00:27 EDT by Christopher Meng
Modified: 2013-09-11 19:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-11 19:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
yohangraterol92: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-29 00:27:20 EDT
Spec URL: http://cicku.me/libgme.spec
SRPM URL: http://cicku.me/libgme-0.6.0-1.fc20.src.rpm 
Description: Game Music Emu is a collection of video game music file emulators that support
the following formats and systems:
- AY: ZX Spectrum/Amstrad CPC
- GBS: Nintendo Game Boy
- GYM: Sega Genesis/Mega Drive
- HES: NEC TurboGrafx-16/PC Engine
- KSS: MSX Home Computer/other Z80 systems (doesn't support FM sound)
- NSF/NSFE: Nintendo NES/Famicom (with VRC 6, Namco 106, and FME-7 sound)
- SAP: Atari systems using POKEY sound chip
- SPC: Super Nintendo/Super Famicom
- VGM/VGZ: Sega Master System/Mark III, Sega Genesis/Mega Drive,BBC Micro

Features:
- Can be used in C and C++ code
- High emphasis has been placed on making the library very easy to use
- One set of common functions work with all emulators the same way
- Several code examples, including music player using SDL
- Portable code for use on any system with modern or older C++ compilers
- Adjustable output sample rate using quality band-limited resampling
- Uniform access to text information fields and track timing information
- End-of-track fading and automatic look ahead silence detection
- Treble/bass and stereo echo for AY/GBS/HES/KSS/NSF/NSFE/SAP/VGM
- Tempo can be adjusted and individual voices can be muted while playing
- Can read music data from file, memory, or custom reader function/class
- Can access track information without having to load into full emulator
- M3U track listing support for multi-track formats
- Modular design allows elimination of unneeded emulators/features
Fedora Account System Username: cicku
Comment 1 Yohan Graterol 2013-09-07 01:24:24 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[-]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: %build honors applicable compiler flags or justifies otherwise.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[-]: Package is not known to require ExcludeArch.
[-]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in libgme-
     devel
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. 
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[-]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 92160 bytes in 5 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libgme-0.6.0-1.fc20.x86_64.rpm
          libgme-devel-0.6.0-1.fc20.x86_64.rpm
libgme.x86_64: W: spelling-error %description -l en_US resampling -> re sampling, re-sampling, oversampling
libgme.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/gme.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/changes.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/license.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/readme.txt
libgme-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-devel-0.6.0/design.txt
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libgme libgme-devel
libgme.x86_64: W: spelling-error %description -l en_US resampling -> re sampling, re-sampling, oversampling
libgme.x86_64: W: spelling-error %description -l en_US multi -> mulch, mufti
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/gme.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/changes.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/license.txt
libgme.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-0.6.0/readme.txt
libgme-devel.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/libgme-devel-0.6.0/design.txt
2 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'

----------------------------

PACKAGE APPROVED

----------------------------
Comment 2 Christopher Meng 2013-09-07 01:26:46 EDT
Thank you.

I will fix wrong-file-end-of-line-encoding issues before import.

****************************


New Package SCM Request
=======================
Package Name: libgme
Short Description: Video game music file emulation/playback library
Owners: cicku
Branches: f20 f19
Comment 3 Kevin Fenzi 2013-09-07 13:35:28 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-09-08 18:57:24 EDT
libgme-0.6.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libgme-0.6.0-1.fc19
Comment 5 Fedora Update System 2013-09-08 19:00:37 EDT
libgme-0.6.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libgme-0.6.0-1.fc20
Comment 6 Fedora Update System 2013-09-09 12:19:05 EDT
libgme-0.6.0-1.fc20 has been pushed to the Fedora 20 testing repository.
Comment 7 Michael Schwendt 2013-09-11 07:18:36 EDT
> [x]: Package is named according to the Package Naming Guidelines.

Url:            http://code.google.com/p/game-music-emu/
Source0:        http://game-music-emu.googlecode.com/files/game-music-emu-%{version}.tar.bz2

Which part of the naming guidelines have lead to chosing the name "libgme"?
Comment 8 Christopher Meng 2013-09-11 19:52:14 EDT
Unpushed updates urgently and retired it.

*** This bug has been marked as a duplicate of bug 716475 ***

Note You need to log in before you can comment on or make changes to this bug.